#ifndef VHTTPD_SOCKET_H
#define VHTTPD_SOCKET_H

#include <vhttpd/config.h>

int socket_new (config_t *);
void socket_delete (int);
int socket_accept (int, char **);
int socket_send (int, const char *, size_t);
int socket_sendfile (int, int, size_t);
int socket_receive (int, char **, size_t *);
int socket_is_http (int);

#endif
