#ifndef VHTTPDUTIL_H
#define VHTTPDUTIL_H

#include <vhttpd.h>

message_t *message_file_new (const char *, const char *);
config_t *file_config_new (const char *);

message_t *basic_auth_challenge (const char *);
int basic_auth_get_cred (const message_t *, char **, char **);

typedef void auth_cache_t;
typedef int (*auth_func_t) (const char *, const char *);

auth_cache_t *auth_cache_new (void);
void auth_cache_delete (auth_cache_t * c);
int auth_cache_check (auth_func_t, const char *, const char *,
		      auth_cache_t *);

#endif
