#ifndef VHTTPD_CONFIG_H
#define VHTTPD_CONFIG_H

typedef struct _config_t
{
  const char *(*get) (struct _config_t *, const char *);
  const char *(*reload) (struct _config_t *);
  void (*close) (struct _config_t *);
} config_t;

const char *config_get (config_t *, const char *);
void config_reload (config_t *);
void config_delete (config_t *);

#endif
